Đến nội dung


Hình ảnh

chỉ em cách ghi chú trên mũi tên với


  • Please log in to reply
21 replies to this topic

#1 bullet

bullet

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 August 2008 - 09:35 PM

Em xài CAD2008, em dùng lệnh LE vẽ mũi tên, rồi enter nó hỏi MTEXT, em enter lun, và nhập văn bản, em nhập văn bản rồi OK.Đoạn chú thích đó nó nằm ngoài phần cuối mũi tên , làm sao để đưa cái chú thích lên trên đoạn mũi tên và nằm cuối mũi tên như khi ghi kích thước.
Em đã click đôi vào mũi tên, trong properties, fần text pos vert em chọn above, sau đó fần chữ đã nằm trên mũi tên nhưng mũi tên lúc này bị xéo ( lúc đầu em vẽ thẳng) tức là cái đầu mũi tên vẫn giữ nguyên còn cái đuôi mũi tên thì đi xuống cái chữ....mấy anh chị chỉ em với.Thanks
p/s mấy anh chị chỉ giúp em cách di chuyển cái tẽt đó lun nha(nằm đầu cuối hay giữa đoạn mũi tên)
  • 0

#2 nguyenhuyhoang

nguyenhuyhoang

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 749 Bài viết
Điểm đánh giá: 426 (tốt)

Đã gửi 18 August 2008 - 09:54 PM

Em xài CAD2008, em dùng lệnh LE vẽ mũi tên, rồi enter nó hỏi MTEXT, em enter lun, và nhập văn bản, em nhập văn bản rồi OK.Đoạn chú thích đó nó nằm ngoài phần cuối mũi tên , làm sao để đưa cái chú thích lên trên đoạn mũi tên và nằm cuối mũi tên như khi ghi kích thước.
Em đã click đôi vào mũi tên, trong properties, fần text pos vert em chọn above, sau đó fần chữ đã nằm trên mũi tên nhưng mũi tên lúc này bị xéo ( lúc đầu em vẽ thẳng) tức là cái đầu mũi tên vẫn giữ nguyên còn cái đuôi mũi tên thì đi xuống cái chữ....mấy anh chị chỉ em với.Thanks
p/s mấy anh chị chỉ giúp em cách di chuyển cái tẽt đó lun nha(nằm đầu cuối hay giữa đoạn mũi tên)


Khi vẽ xong thì TEXT luôn nằm ở cuối mũi tên, để di chuyển mà mũi tên không bị xéo làm như sau : click chuột trái (1 cái) vào TEXT - nhấn giữ chuột trái vào TEXT rồi di chuyển đến nơi cần đặt (không được nhấ giữ nút màu xanh) - thả chuột trái

Nếu mũi tên bị xéo chỉnh lại bằng cách : click chuột trái vào mũi tên - nhấn giữ nút xanh ở cuối mũi tên - f8 - chọn điểm đặt.
  • 3

#3 SONCAD

SONCAD

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 819 Bài viết
Điểm đánh giá: 862 (rất tốt)

Đã gửi 18 August 2008 - 10:09 PM

Em xài CAD2008, em dùng lệnh LE vẽ mũi tên, rồi enter nó hỏi MTEXT, em enter lun, và nhập văn bản, em nhập văn bản rồi OK.Đoạn chú thích đó nó nằm ngoài phần cuối mũi tên , làm sao để đưa cái chú thích lên trên đoạn mũi tên và nằm cuối mũi tên như khi ghi kích thước.
Em đã click đôi vào mũi tên, trong properties, fần text pos vert em chọn above, sau đó fần chữ đã nằm trên mũi tên nhưng mũi tên lúc này bị xéo ( lúc đầu em vẽ thẳng) tức là cái đầu mũi tên vẫn giữ nguyên còn cái đuôi mũi tên thì đi xuống cái chữ....mấy anh chị chỉ em với.Thanks
p/s mấy anh chị chỉ giúp em cách di chuyển cái tẽt đó lun nha(nằm đầu cuối hay giữa đoạn mũi tên)

Khi bạn đánh lệnh trên bạn chú ý dòng lệnh có chữ Setting, bạn chọn S lúc ấy sẽ hiện lên bảng Leader setting bạn chọn tab Attachment ở phía dưới củng có ô Underline bottom line đánh dấu vào thì text sẽ nằm trên mũi tên. và còn nhiều công dụng khác nữa, bạn tham khảo nhé!
  • 2
Hình đã gửi

#4 bullet

bullet

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 August 2008 - 10:13 PM

Khi vẽ xong thì TEXT luôn nằm ở cuối mũi tên, để di chuyển mà mũi tên không bị xéo làm như sau : click chuột trái (1 cái) vào TEXT - nhấn giữ chuột trái vào TEXT rồi di chuyển đến nơi cần đặt (không được nhấ giữ nút màu xanh) - thả chuột trái

Nếu mũi tên bị xéo chỉnh lại bằng cách : click chuột trái vào mũi tên - nhấn giữ nút xanh ở cuối mũi tên - f8 - chọn điểm đặt.


cách đầu em làm được rồi, còn cách 2 em vẫn không làm được, em đã để F8, vẽ mũi tên thẳng rồi, sau khi ghi chú, em clcik vào cái mũi tên, nó hiện ra cáii properties, em vào fần text, vào cái text pos vert, chọn above, sau đó cái mũi tên tự nhiên bị xéo, nhưng cái chữ thì nằm trên cái mũi tên.có cách nào khắc phục ko mấy anh chị.

à cho em hỏi thêm, có cách nào làm một lèo ko ạ, bản vẽ của em tới mấy trăm cái chú thích mà em kéo từng cái biết chừng nào xong :s_big:, mà cái leader hình như ko trim đc hả anh chị???
  • 0

#5 bullet

bullet

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 August 2008 - 10:18 PM

Khi bạn đánh lệnh trên bạn chú ý dòng lệnh có chữ Setting, bạn chọn S lúc ấy sẽ hiện lên bảng Leader setting bạn chọn tab Attachment ở phía dưới củng có ô Underline bottom line đánh dấu vào thì text sẽ nằm trên mũi tên. và còn nhiều công dụng khác nữa, bạn tham khảo nhé!



em đã làmđc rồi :s_big:, cái lệnh leadẻ vẽ mũi tên em ko thể xài lện EX,TR hay S để kéo dài cái đuôi mũi tên đc, số là em tính để cho n1o thẳng àhng cho đẹp đó mà....
  • 0

#6 nguyenhuyhoang

nguyenhuyhoang

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 749 Bài viết
Điểm đánh giá: 426 (tốt)

Đã gửi 18 August 2008 - 10:52 PM

à cho em hỏi thêm, có cách nào làm một lèo ko ạ, bản vẽ của em tới mấy trăm cái chú thích mà em kéo từng cái biết chừng nào xong :s_big:, mà cái leader hình như ko trim đc hả anh chị???


Muốn nhanh thì cũng vào Setting - No limits chọn 2 (mặc định là 3) - Leader Line & Arrow - First segment = 45 độ - Second Segment = Hoiental - OK
Khi vẽ kích đối tượng kéo ra bấm chọn điểm thứ 2 - rồi nhập TEXT - không cần chỉnh gì hết nữa
  • 1

#7 bullet

bullet

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 August 2008 - 11:56 PM

cho em hỏi lun, cái mũi tên vẽ bằng lệnh LE mún cắt bớt những đọan dư thừa hay phóng nó dài ra làm sao ??? em đã dùng lệnh Trim, Break, Extend, Stretch ko có lệnh nào có tác dụng với mũi tên cả.
  • 0

#8 nguyenhuyhoang

nguyenhuyhoang

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 749 Bài viết
Điểm đánh giá: 426 (tốt)

Đã gửi 19 August 2008 - 07:46 AM

cho em hỏi lun, cái mũi tên vẽ bằng lệnh LE mún cắt bớt những đọan dư thừa hay phóng nó dài ra làm sao ??? em đã dùng lệnh Trim, Break, Extend, Stretch ko có lệnh nào có tác dụng với mũi tên cả.


Chỉ việc kích chọn, nhấn giữ nút màu xanh kéo ra hoặc thu ngắn vào. Nhưng điều này không cần nữa nếu như bạn thực hiện như ở trên tôi nói, nó sẽ tự cân đối chiều dài vừa khít với TEXT
  • 0

#9 bullet

bullet

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 August 2008 - 09:05 AM

Chỉ việc kích chọn, nhấn giữ nút màu xanh kéo ra hoặc thu ngắn vào. Nhưng điều này không cần nữa nếu như bạn thực hiện như ở trên tôi nói, nó sẽ tự cân đối chiều dài vừa khít với TEXT



em đã làm được, chữ vừa khít với mũi tên, ý em hỏi là khi em có nhìu mũi tên và em mún điểm kết thúc của nó ngay ngắn thẳng hàng nhau và dài ngắn cho hợp với bản vẽ sau khi đã vẽ (giong như khi vẽ duog thẳng mình trim bớt nhung doan thừa đó, em ko bít có cach nào để làm với mũi tên cả)
  • 0

#10 bullet

bullet

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 August 2008 - 12:41 AM

cho em hỏi, mỗi lần vẽ xong 1 mũi tên ,nhập text, nhưng sau khi nhập text, fần mũi tên lại dài ra thêm 1 khúc bằng với độ dài của text, làm sao cho nó ko thay đổi chìu dài mũi tên, vì bản vẽ cần thẳng hàng tất cả đuôi mũi tên từ trên xuống duoi...
  • 0

#11 nguyenhuyhoang

nguyenhuyhoang

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 749 Bài viết
Điểm đánh giá: 426 (tốt)

Đã gửi 22 August 2008 - 07:39 AM

cho em hỏi, mỗi lần vẽ xong 1 mũi tên ,nhập text, nhưng sau khi nhập text, fần mũi tên lại dài ra thêm 1 khúc bằng với độ dài của text, làm sao cho nó ko thay đổi chìu dài mũi tên, vì bản vẽ cần thẳng hàng tất cả đuôi mũi tên từ trên xuống duoi...


Nếu bạn muốn canh đều thì : với cách HD lần trước (bạn xem lại) ở trên, ở mục No limit - chọn là 3. Khi gõ LE - chọn đối tượng - chọn điểm thứ 2 - đến điểm thứ 3 thì bạn nhập giá trị vào - như vậy thì cái nào cũng bằng nhau.
  • 0

#12 bullet

bullet

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 August 2008 - 09:59 AM

Nếu bạn muốn canh đều thì : với cách HD lần trước (bạn xem lại) ở trên, ở mục No limit - chọn là 3. Khi gõ LE - chọn đối tượng - chọn điểm thứ 2 - đến điểm thứ 3 thì bạn nhập giá trị vào - như vậy thì cái nào cũng bằng nhau.


chọn limit là 3 nhưng khi nhập text,đã chọn cả 3 điểm, nhưng khi nhập text, mũi tên vẫn tự động nối thêm vào fần cuối mũi tên 1 đoạn ???
  • 0

#13 meohoang

meohoang

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 811 Bài viết
Điểm đánh giá: 342 (khá)

Đã gửi 24 August 2008 - 04:48 PM

chọn limit là 3 nhưng khi nhập text,đã chọn cả 3 điểm, nhưng khi nhập text, mũi tên vẫn tự động nối thêm vào fần cuối mũi tên 1 đoạn ???

bạn nên đặt thống nhất các mũi tên theo hình sau:

Hình đã gửi
  • 2

#14 foudremars

foudremars

    biết vẽ arc

  • Members
  • PipPip
  • 44 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 06 May 2009 - 04:11 PM

Có cách nào vẽ nhanh các kiểu chỉ dẫn như hình sau không các bác. Cái thứ nhất thì em làm được rồi (Lệnh Leader) nhưng 2 cái sau thì không thể nào mà vẽ nhanh được (em đã dùng cả Leader và Qleader). Cảm ơn!

Hình đã gửi
  • 0

#15 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 06 May 2009 - 08:36 PM

Có cách nào vẽ nhanh các kiểu chỉ dẫn như hình sau không các bác. Cái thứ nhất thì em làm được rồi (Lệnh Leader) nhưng 2 cái sau thì không thể nào mà vẽ nhanh được (em đã dùng cả Leader và Qleader). Cảm ơn!

Hình đã gửi

Bạn thử dùng đoạn Code này nhé :
Tên lệnh Mten
Lisp yêu cầu :
1. Pick điểm đầu mũi tên; Pick điểm cuối của mũi tên
2. Pick điểm chèn Text; nhập chiều cao Text
-> Hiện lên hộp thoại Edit text cho bạn nhập chữ vào.
-> Xong
Chú ý trong đoạn Code mình sử dụng Font .Vnarial . Mình sử dụng bảng mã TCVN.
Nếu sử dụng font khác thì bạn sửa lại tên font trong Code và chọn bảng mã để đánh chữ thích hợp
(defun c:mten()
(setq ddau (getpoint "\n Diem dau mui ten :"))
(setq dcuoi (getpoint ddau"\n Diem cuoi mui ten :"))
(command "Leader" ddau dcuoi "" "" "N")
(setq po (getpoint "\n Pick diem chen Text :"))
(setq str "Chuoi")
(setq cao (getreal "\n Chieu cao Text :"))
(setq ang (/ (* (angle ddau dcuoi) 180) pi))
(Command "style" "CADVIET" "VHARIAL.TTF" "0" "1" "0" "n" "n")
(Command "text" po cao "0" str)
(command "ddedit" "L" "")
(command "rotate" "L" "" po (gocve ang))
(princ)
)
;
(defun gocve( goc)
(if (and (> goc 90.0) (< goc 270.0)) (+ goc 180.0) goc)
)

  • 2

#16 thanghaita

thanghaita

    biết vẽ ellipse

  • Members
  • PipPip
  • 57 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 May 2009 - 10:37 PM

Khi bạn đánh lệnh trên bạn chú ý dòng lệnh có chữ Setting, bạn chọn S lúc ấy sẽ hiện lên bảng Leader setting bạn chọn tab Attachment ở phía dưới củng có ô Underline bottom line đánh dấu vào thì text sẽ nằm trên mũi tên. và còn nhiều công dụng khác nữa, bạn tham khảo nhé!

Sao em đánh settings vào mà nó ko hiện lên j cả. Nhờ bác chỉ thêm cho!thanks!
  • 0

#17 alvaro

alvaro

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 06 May 2009 - 11:16 PM

Sao em đánh settings vào mà nó ko hiện lên j cả. Nhờ bác chỉ thêm cho!thanks!

Bạn dùng lệnh qleader > S ....enter là được.
Thanks bác Tue_nv vì đoạn code :(
  • 0

#18 subu_ak

subu_ak

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 December 2010 - 11:17 PM

mũi tên nhỏ quá làm sao để cho mũi tên to hơn ạ
  • 0

#19 subu_ak

subu_ak

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 December 2010 - 11:19 PM

làm sao để cho mũi tên to hơn
  • 0

#20 thanhthanh123

thanhthanh123

    biết vẽ polygon

  • Members
  • PipPip
  • 72 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 11 December 2010 - 07:52 PM

làm sao để cho mũi tên to hơn


Bạn vô QLEADER chọn S sẽ cài đc cả kiểu mũi tên và lớn nhỏ tuỳ thích ,
Tiện hỏi các cao thủ có cách bao TEXT trong đường tròn ko?
  • 0